<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:actualizacion="http://java.sun.com/jsf/composite/actualizacion"
                template="/templates/generalCU.xhtml">

    <!-- CASO DE USO CU-NP-FA-001 -->

    <ui:define name="content">
        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" />

        <h1 OJO: si alguien ve esto avisar al programador para que revise :: pagm />        

            <actualizacion:actualizacionResumenCC id="actualizacionResumen"
                                              actualizacionParam="#{gestionarResolucion.actualizacion}" />

            <p:messages id="msgsAP" showDetail="true" />

            <h:form id="formularioReprobarAP" title="FormularioReprobar">
                <p:dialog widgetVar="dlgReprobarWV" width="600" height="300"
                          header="Reprobar resolución">
                    <p:messages id="msgsDlgAP" showDetail="true" />
                    <h:panelGrid columns="2">
                        <h:outputText value="Motivo de reprobación:" />
                        <p:inputTextarea value="${gestionarResolucion.motivoReprobacion}"
                                         cols="30" required="true"
                                         requiredMessage="Por favor ingrese el motivo de rechazo." />
                    </h:panelGrid>
                    <h:panelGrid columns="2">
                        <p:commandButton value="Reprobar" id="reprobarAP"
                                         action="#{gestionarResolucion.cmdReprobar}" update="msgsDlgAP"
                                         ajax="false" />
                        <p:commandButton type="button" value="Cancelar"
                                         onclick="dlgReprobarWV.hide()" />
                    </h:panelGrid>
                </p:dialog>
            </h:form>

            <p:panel id="principalAP" header="Gestionar resolución">
                <h:form id="formularioAP" title="Formulario">

                    <p:dialog widgetVar="dlgPreliminar" width="700" height="400"
                              header="Preliminar de la resolución">

                        <embed src="gestionarResolucion.preliminar" width="680"
                               height="360"/>
                    </p:dialog>

                    <h:panelGrid id="superiorAP" columns="2">
                        <h:outputLabel value="Departamento: " styleClass="outputLabelStyle" />
                        <h:outputText value="#{gestionarResolucion.departamentoNombre}"
                                      styleClass="outputTextStyle" />

                        <h:outputLabel value="Municipio: " styleClass="outputLabelStyle" />
                        <h:outputText value="#{gestionarResolucion.municipioNombre}"
                                      styleClass="outputTextStyle" />

                        <h:outputLabel value="Tipo de proyecto: "
                                       styleClass="outputLabelStyle" />
                        <h:outputText value="#{gestionarResolucion.tipoProyectoNombre}"
                                      styleClass="outputTextStyle" />

                        <h:outputLabel value="Número de convenio: "
                                       styleClass="outputLabelStyle" />
                        <h:selectOneMenu id="convenioNumeroAP"
                                         value="#{gestionarResolucion.convenioNumero}">
                            <f:selectItems value="#{gestionarResolucion.convenioNumeros}" />
                            <p:ajax listener="#{gestionarResolucion.onCambioConvenio}"
                                    update="zonaAP" />
                        </h:selectOneMenu>

                        <h:outputLabel value="Zona: " styleClass="outputLabelStyle" />
                        <h:outputText id="zonaAP" value="#{gestionarResolucion.zonaNombre}"
                                      styleClass="outputTextStyle" />

                    </h:panelGrid>

                    <p:tabView dynamic="true" cache="false"
                               tabChangeListener="#{gestionarResolucion.onCambioTarjeta}">

                        <p:tab id="elaborarResolucionAP" title="Elaborar resolución">

                            <h:panelGrid columns="2" columnClasses="alinearVertical">
                                <h:panelGrid>
                                    <h:panelGrid columns="2">
                                        <h:outputLabel value="Tipo de resolución"
                                                       styleClass="outputLabelStyle" />
                                        <h:outputText id="ActualizacionTipoProcesoV"
                                                      value="#{gestionarResolucion.resolucion.tipoResolucionNombre}"
                                                      styleClass="outputTextStyle">
                                            <f:converter converterId="converterCB"
                                                         for="ActualizacionTipoProcesoV" />
                                        </h:outputText>

                                        <h:outputLabel value="Año de la actualización:" 
                                                       styleClass="outputLabelStyle" />
                                        <h:selectOneMenu id="añoAP"
                                                         value="#{gestionarResolucion.resolucion.anio}">
                                            <f:selectItems value="#{gestionarResolucion.anios}" />
                                            <p:ajax listener="#{gestionarResolucion.onCambioVigencia}"
                                                    update="contenidoAP" />
                                        </h:selectOneMenu>

                                        <h:panelGrid columns="2">
                                            <h:outputLabel value="Fecha de resolución: "
                                                           styleClass="outputLabelStyle" />
                                            <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                                        </h:panelGrid>

                                        <p:calendar value="#{gestionarResolucion.resolucion.fecha}"
                                                    pattern="dd/MM/yyyy" size="10" required="true"
                                                    requiredMessage="Debe diligenciar la fecha de resolución">
                                            <p:ajax listener="#{gestionarResolucion.onCambioFecha}"
                                                    update="contenidoAP" />
                                            <p:ajax event="dateSelect" listener="#{gestionarResolucion.onManejadorCambioFecha}" 
                                                    update="contenidoAP" /> 
                                        </p:calendar>
                                    </h:panelGrid>
                                    <h:panelGrid columns="2">
                                        <p:commandButton value="Ver preliminar A"
                                                         actionListener="#{gestionarResolucion.cmdVerPreliminar}"
                                                         oncomplete="dlgPreliminar.show()" update=":msgsAP" ajax="false"/>
                                        <p:commandButton value="Proyectar" id="proyectarAP" ajax="false"
                                                         action="#{gestionarResolucion.cmdProyectar}" update=":msgsAP"/>
                                    </h:panelGrid>
                                </h:panelGrid>
                                <h:panelGrid width="80%">
                                    <h:outputText id="contenidoAP" value="#{gestionarResolucion.resolucion.contenido}" escape="false"
                                                  styleClass="outputTextStyle" style="font-size: 80%"/>
                                </h:panelGrid>
                            </h:panelGrid>

                        </p:tab>

                        <p:tab id="revisarResolucionAP" title="Revisar resolución">

                            <h:panelGrid columns="2">
                                <h:outputLabel value="Tipo de resolución"
                                               styleClass="outputLabelStyle" />
                                <h:outputText
                                    value="#{gestionarResolucion.resolucion.tipoResolucionNombre}"
                                    styleClass="outputTextStyle" />

                                <h:outputLabel value="Año de la actualización:"
                                               styleClass="outputLabelStyle" />
                                <h:outputText value="#{gestionarResolucion.resolucion.anio}"
                                              styleClass="outputTextStyle" />

                                <h:outputLabel value="Fecha de resolución: "
                                               styleClass="outputLabelStyle" />
                                <p:calendar value="#{gestionarResolucion.resolucion.fecha}" pattern="dd/MM/yyyy" readonly="true" disabled="true"/>
                            </h:panelGrid>
                            <h:panelGrid columns="3">
                                <p:commandButton type="button" value="Ver preliminar B"
                                                 onclick="dlgPreliminar.show()" id="verPreliminarRevisionAP" />
                                <p:commandButton value="Aprobar" id="aprobarAP"
                                                 action="#{gestionarResolucion.cmdAprobar}" ajax="false"
                                                 immediate="true" />
                                <p:commandButton type="button" value="Reprobar..."
                                                 onclick="dlgReprobarWV.show()" />
                            </h:panelGrid>
                        </p:tab>

                        <p:tab id="ordenarPublicacionAP"
                               title="Ordenar publicación en diario oficial">
                            <h:panelGrid columns="2">
                                <h:outputLabel value="Tipo de resolución"
                                               styleClass="outputLabelStyle" />
                                <h:outputText
                                    value="#{gestionarResolucion.resolucion.tipoResolucionNombre}"
                                    styleClass="outputTextStyle" />

                                <h:outputLabel value="Año de la actualización:"
                                               styleClass="outputLabelStyle" />
                                <h:outputText value="#{gestionarResolucion.resolucion.anio}"
                                              styleClass="outputTextStyle" />

                                <h:outputLabel value="Fecha de resolución: "
                                               styleClass="outputLabelStyle" />
                                <p:calendar value="#{gestionarResolucion.resolucion.fecha}" pattern="dd/MM/yyyy" readonly="true" disabled="true"/>
                            </h:panelGrid>
                            <h:panelGrid columns="2">
                                <p:commandButton type="button" value="Ver preliminar C"
                                                 onclick="dlgPreliminar.show()" id="verPreliminarPublicacionAP" />
                                <p:commandButton value="Ordenar publicación en el diario oficial"
                                                 id="publicarAP" action="#{gestionarResolucion.cmdPublicar}" />
                            </h:panelGrid>
                        </p:tab>

                    </p:tabView>

                    <p:commandButton value="Cancelar"
                                     action="#{gestionarResolucion.cmdCancelar}" ajax="false" />
                </h:form>
            </p:panel>
    </ui:define>
</ui:composition>